[arch-commits] Commit in kdelibs/repos (6 files)

Pierre Schmitz pierre at archlinux.org
Tue Dec 2 00:07:16 UTC 2008


    Date: Monday, December 1, 2008 @ 19:07:16
  Author: pierre
Revision: 20272

initial commit of kde-unstable

Added:
  kdelibs/repos/kde-unstable-i686/
  kdelibs/repos/kde-unstable-x86_64/
  kdelibs/repos/kde-unstable-x86_64/PKGBUILD
  kdelibs/repos/kde-unstable-x86_64/archlinux-menu.patch
  kdelibs/repos/kde-unstable-x86_64/kde-applications-menu.patch
  kdelibs/repos/kde-unstable-x86_64/kdelibs.install

-----------------------------+
 PKGBUILD                    |   49 ++++++++++++++++++++++++++++++++++++++++++
 archlinux-menu.patch        |   17 ++++++++++++++
 kde-applications-menu.patch |   26 ++++++++++++++++++++++
 kdelibs.install             |   12 ++++++++++
 4 files changed, 104 insertions(+)

Added: kde-unstable-x86_64/PKGBUILD
===================================================================
--- kde-unstable-x86_64/PKGBUILD	                        (rev 0)
+++ kde-unstable-x86_64/PKGBUILD	2008-12-02 00:07:16 UTC (rev 20272)
@@ -0,0 +1,49 @@
+# $Id: PKGBUILD 17562 2008-10-31 03:05:49Z pierre $
+# Maintainer: Pierre Schmitz <pierre at archlinux.de>
+
+pkgname=kdelibs
+pkgver=4.1.81
+pkgrel=1
+pkgdesc="KDE Core Libraries"
+arch=('i686' 'x86_64')
+url='http://www.kde.org'
+license=('GPL' 'LGPL' 'FDL')
+groups=('kde')
+depends=('libxcursor' 'phonon' 'shared-mime-info' 'qt>=4.4' 'libxpm' 'hal' 'perl'
+	 'enchant' 'jasper' 'openexr' 'strigi' 'bzip2' 'libxslt' 'libxtst'
+	 'giflib' 'soprano' 'ca-certificates' 'heimdal' 'xdg-utils' 'libxft')
+makedepends=('pkgconfig' 'cmake' 'automoc4' 'intltool' 'avahi' 'libgl' 'hspell')
+replaces=('arts')
+options=('docs')
+install='kdelibs.install'
+source=("http://download.kde.org/unstable/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2"
+        'kde-applications-menu.patch' 'archlinux-menu.patch')
+md5sums=('665cb23d9deb1f7e66b1ca7efd53911c'
+         '3daa0f01fe26325fb3dbd807a04898ad'
+         '0ad42200df2d2b8aab01d2ef4b21e02f')
+
+build() {
+	cd $srcdir/${pkgname}-${pkgver}
+	# avoid file conflict with gnome-menu
+	patch -p1 -i $srcdir/kde-applications-menu.patch || return 1
+	# add Archlinux menu entry
+	patch -p0 -i $srcdir/archlinux-menu.patch || return 1
+	cd ..
+	mkdir build
+	cd build
+	cmake ../${pkgname}-${pkgver} \
+		-DCMAKE_BUILD_TYPE=Release \
+		-DKDE_DISTRIBUTION_TEXT='Arch Linux' \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DSYSCONF_INSTALL_DIR=/etc \
+		-DHTML_INSTALL_DIR=/usr/share/doc/kde/html \
+		-DKDE_DEFAULT_HOME='.kde4' \
+		-DWITH_FAM=OFF
+	make
+	make DESTDIR=$pkgdir install
+
+	# cert bundle seems to be hardcoded
+	# link it to the one from ca-certificates
+	rm -f $pkgdir/usr/share/apps/kssl/ca-bundle.crt
+	ln -sf /etc/ssl/certs/ca-certificates.crt $pkgdir/usr/share/apps/kssl/ca-bundle.crt
+}

Added: kde-unstable-x86_64/archlinux-menu.patch
===================================================================
--- kde-unstable-x86_64/archlinux-menu.patch	                        (rev 0)
+++ kde-unstable-x86_64/archlinux-menu.patch	2008-12-02 00:07:16 UTC (rev 20272)
@@ -0,0 +1,17 @@
+--- kded/applications.menu	2008-05-21 11:07:34.000000000 +0000
++++ kded/applications.menu.new	2008-09-07 11:11:22.000000000 +0000
+@@ -21,6 +21,14 @@
+ 	</Layout>
+ 
+ 	<Menu>
++		<Name>Archlinux</Name>
++		<Directory>Archlinux.directory</Directory>
++		<Include>
++			<Category>Archlinux</Category>
++		</Include>
++	</Menu>
++
++	<Menu>
+ 		<Name>Applications</Name>
+ 		<Directory>kde-unknown.directory</Directory>
+ 		<OnlyUnallocated/>

Added: kde-unstable-x86_64/kde-applications-menu.patch
===================================================================
--- kde-unstable-x86_64/kde-applications-menu.patch	                        (rev 0)
+++ kde-unstable-x86_64/kde-applications-menu.patch	2008-12-02 00:07:16 UTC (rev 20272)
@@ -0,0 +1,26 @@
+Index: b/kded/kbuildsycoca.cpp
+===================================================================
+--- a/kded/kbuildsycoca.cpp
++++ b/kded/kbuildsycoca.cpp
+@@ -307,7 +307,7 @@
+      connect(g_vfolder, SIGNAL(newService(const QString &, KService::Ptr *)),
+              this, SLOT(slotCreateEntry(const QString &, KService::Ptr *)));
+ 
+-     VFolderMenu::SubMenu *kdeMenu = g_vfolder->parseMenu("applications.menu", true);
++     VFolderMenu::SubMenu *kdeMenu = g_vfolder->parseMenu("kde-applications.menu", true);
+ 
+      KServiceGroup::Ptr entry = g_bsgf->addNew("/", kdeMenu->directoryFile, KServiceGroup::Ptr(), false);
+      entry->setLayoutInfo(kdeMenu->layoutList);
+Index: b/kded/CMakeLists.txt
+===================================================================
+--- a/kded/CMakeLists.txt
++++ b/kded/CMakeLists.txt
+@@ -67,7 +67,7 @@
+ 
+ ########### install files ###############
+ 
+-install( FILES applications.menu  DESTINATION  ${SYSCONF_INSTALL_DIR}/xdg/menus )
++install( FILES applications.menu  DESTINATION ${SYSCONF_INSTALL_DIR}/xdg/menus RENAME kde-applications.menu)
+ install( FILES kdedmodule.desktop DESTINATION  ${SERVICETYPES_INSTALL_DIR} )
+ install( FILES kded.upd           DESTINATION  ${DATA_INSTALL_DIR}/kconf_update )
+ 

Added: kde-unstable-x86_64/kdelibs.install
===================================================================
--- kde-unstable-x86_64/kdelibs.install	                        (rev 0)
+++ kde-unstable-x86_64/kdelibs.install	2008-12-02 00:07:16 UTC (rev 20272)
@@ -0,0 +1,12 @@
+post_install() {
+	xdg-icon-resource forceupdate --theme hicolor &> /dev/null
+	update-mime-database usr/share/mime &> /dev/null
+}
+
+post_upgrade() {
+	post_install
+}
+
+post_remove() {
+	post_install
+}
\ No newline at end of file




More information about the arch-commits mailing list